lander legs detach on loading craft in orbit
Description

This problem is quite common but difficult to replicate reliably. Sometimes it happens and sometimes it doesnt with the same reload.

The problem is the lander legs fly off when the craft loads. Today for example | flew a craft into range of my orbiting uncrewed lander
and when the piloted craft got within range the legs (smallest legs) flew off the lander.

On other occasions in other versions | have occasionally found that when loading a craft already in orbit to fly it from the tracking
station or from a quicksave via F9 the same problem manifested and lander legs of all sizes would fly off and appear to experience
some kind of torque when loading which wrenches them off.

Other peoples observations on this might help track it down. | have been trying to replicate it reliably for a while and always fail.

History

#1 - 06/27/2013 01:43 PM - doctorzuber
I've encountered my own share of spontaneously exploding craft. However like you, | am finding it to be difficult to reproduce.

| also had an incident where after a spontaneous break, it somehow applied that same break back to my quick save, even though it was originally
whole in the quick save. But as always, | can't seem to reproduce it reliably. Pesky bug.

#2 - 07/08/2013 02:57 AM - jbid
- File 2013-07-08_00002.jpg added
- File 2013-07-08_00006.jog added

| have also encountered this issue on numerous occasions - a couple of my landers have ended up eviscerated in orbit over their target worlds. The
legs appear to detach upon load only if they are extended in flight from their resting position.

The odd thing is that this bug is not limited to my ships. One default Scenario that is included with KSP, Mun Orbit (The Apollo 11 one), starts out with
a command module docked to a lunar (Munar?) lander with three lander legs. | haven't changed anything with my game, but I've reset and loaded the
scenario eight times now, and each time the legs twist away and explode off the default lander, just like they did with my ships.

| don't know what to say for reproduction - the first time | noticed that anything had changed was when | loaded a quicksave wherein | had extended
some lander legs. I'm not sure whether that was the cause or just the first symptom, though. The thing is that since then, | have reset and restarted
the scenario, closed and re-opened the game twice, switched from 20.2 to the latest stable release and then back on Steam's Beta selection tool, and
finally uninstalled and reinstalled the game. I've only been using the Mun Orbit Scenario to test it because it's quicker than building and launching
something with legs in sandbox mode, but | assume the bug would transfer.

Anyone else experiencing these aerial amputations? I've included screenshots of the very first few seconds of the scenario in which I'm still seeing the
bug and the mission report about "Structural Failure".

#3 - 10/16/2013 11:07 AM - boolybooly

This is still happening in v0.21 by the way. Just had my lander legs fly away from a lander in Duna orbit on exit from timewarp.
FYI

#4 - 07/27/2015 06:04 PM - Squelch

- Platform Win32 added
- Platform deleted (Windows)
#5 - 11/19/2015 06:15 PM - sal_vager
- Status changed from New to Resolved

- % Done changed from 0 to 100

This does not occur on the current build (1028)

#6 - 07/17/2016 09:18 AM - TriggerAu
- Status changed from Resolved to Closed

Files
2013-07-08_00002.jpg 101 KB 07/08/2013 ibid
2013-07-08_00006.jpg 117 KB 07/08/2013 ibid

04/10/2024

22


http://www.tcpdf.org

